# RPM specfile for libogg module
# Generated Tue Feb  5 21:52:31 2002 GMT by Ximian build system
# $Id: bb_do,v 1.159 2002/01/29 23:44:18 frb Exp $
# from $Id: ximian-build.conf,v 1.27 2002/02/01 17:23:09 dobey Exp $

%define nam	libogg
%define ver	1.0rc3

Name:     	libogg
Version: 	1.0rc3
Release:	ximian.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.1 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.xiph.org/
Epoch:		1
Source0:	libogg-1.0rc3.tar.gz
Patch0:		libogg-remove-debdir.patch
Summary:	Ogg Bitstream Library
Group:		Libraries/Multimedia

%description
Libogg is a library for manipulating ogg bitstreams.  It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%files
%defattr(-, root, root)
/usr/lib/libogg.so.*
/usr/share/doc/libogg-1.0*/*


%post
ldconfig

%package -n libogg-devel
Summary:	Ogg Bitstream Library Development
Group:		Development/Libraries
Requires:	%{nam} = %{ver}

%description -n libogg-devel
The libogg-devel package contains the header files and documentation
needed to develop applications with libogg.

%files -n libogg-devel
%defattr(-, root, root)
/usr/include/ogg/ogg.h
/usr/include/ogg/os_types.h
/usr/include/ogg/config_types.h
/usr/lib/libogg.a
/usr/lib/libogg.so
/usr/lib/libogg.la
/usr/share/aclocal/ogg.m4


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libogg-1.0rc3
    ;;
all)
%setup  -q -n libogg-1.0rc3
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    automake --gnu --add-missing --include-deps; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Feb  5 2002 Ximian, Inc.

- Version: 1:1.0rc3-ximian.3
- New Build

* Tue Feb  5 2002 Ximian, Inc.

- Version: 1.0rc3-ximian.3
- New Build

* Tue Feb  5 2002 Ximian, Inc.

- Version: 1:1.0-0.rc3.1.ximian.3
- New Build

* Tue Feb  5 2002 Ximian, Inc.

- Version: 1.0-0.rc3.1.ximian.3
- New Build

* Tue Feb  5 2002 Ximian, Inc.

- Version: 1.0rc3-ximian.3
- New Build

* Fri Feb  1 2002 Ximian, Inc.

- Version: 1.0rc3-1.ximian.3
- New Build

* Fri Feb  1 2002 Ximian, Inc.

- Version: 1.0-0.rc3.1.ximian.3
- New Build

* Fri Feb  1 2002 Ximian, Inc.

- Version: 1.0rc3-1.ximian.2
- New Build

* Fri Feb  1 2002 Ximian, Inc.

- Version: 1.0-0.rc3.1.ximian.2
- New Build

* Fri Feb  1 2002 Ximian, Inc.

- Version: 1.0rc3-1.ximian.2
- New Build

* Wed Jan 30 2002 Ximian, Inc.

- Version: 1.0rc3-ximian.2
- New Build

* Wed Jan 30 2002 Ximian, Inc.

- Version: 1.0-0.rc3.1.ximian.2
- New Build

* Wed Jan 30 2002 Ximian, Inc.

- Version: 1:1.0rc3-ximian.2
- New Build

* Wed Jan 30 2002 Ximian, Inc.

- Version: 1.0rc3-ximian.2
- New Build

* Wed Jan 30 2002 Ximian, Inc.

- Version: 1:1.0rc3-ximian.2
- New Build

* Tue Jan 29 2002 Ximian, Inc.

- Version: 1.0rc3-ximian.2
- New upstream version.

* Tue Jan 29 2002 Ximian, Inc.

- Version: 1.0rc3-ximian.1
- New upstream version.

* Thu Nov  8 2001 thunder

- Version: 1.0rc2-ximian.1
- Imported into packaging system.

